part of 'analytics_tab_bloc.dart';

sealed class AnalyticsTabEvent extends Equatable {
  const AnalyticsTabEvent();

  @override
  List<Object> get props => [];
}

class UpdateAnalyticsTabEvent extends AnalyticsTabEvent { 
  const UpdateAnalyticsTabEvent(this.analyticsTab);

  final AnalyticsPageTab analyticsTab;

  @override
  List<Object> get props => [analyticsTab];
}
